Subject: Re: ACX100 (softmac-based) driver ready to merge, but is it legal?

From: Denis Vlasenko <[email-masked]>
Date: Thu, 6 Jul 2006 19:29:49 +0200

On Thursday 29 June 2006 16:26, John W. Linville wrote:
> I apologize for the long copy list.  I have tried to include all
> known interested parties.
> 
> This is a follow-up to a thread started by Andrew a few weeks ago
> about what should be merged for 2.6.18.  One of the topics he cited
> was the ACX100 driver which he has carried in -mm for quite some time.
> I have a slightly different (softmac based) version of that driver
> in wireless-2.6 which I think is worth merging now.
> 
> In the aforementioned thread, some questions were raised about the
> legality of the ACX100 driver (i.e. tiacx) code base, but no one
> had any specific points other than that it is not 100% "clean room"
> derived.  Others point-out that this is not strictly a requirement.
> The matter dropped without a strong defense from the tiacx team.
>
> I hereby invite the tiacx team to defend their work by making public,
> affirmative statements indicating a) how they produced their code; and,
> b) that they have the legal right to license it as part of the Linux
> kernel under the GPL.  As an incentive to this, I have already made
> the necessary preparations for this driver to be merged immediately.

About the part of the acx code which was done by me:
I was working upon the already existing acx driver.

I do not know how it was developed before I started to play with it,
but I certainly never worked for TI and did not receive any code
or documents from TI (I was asking for the documentation,
but there was no answer).

I realize that this info is not enough to determine whether tiacx
driver is "clean" legalese-wise.
--
vda